import * as $dara from '@darabonba/typescript';
export declare class DescribeStorageSetDetailsResponseBodyDisksDisk extends $dara.Model {
    category?: string;
    creationTime?: string;
    diskId?: string;
    diskName?: string;
    regionId?: string;
    storageSetId?: string;
    storageSetPartitionNumber?: number;
    zoneId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeStorageSetDetailsResponseBodyDisks extends $dara.Model {
    disk?: DescribeStorageSetDetailsResponseBodyDisksDisk[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeStorageSetDetailsResponseBody extends $dara.Model {
    disks?: DescribeStorageSetDetailsResponseBodyDisks;
    /**
     * @remarks
     * The page number of the returned page.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries returned per page.
     *
     * @example
     * 1
     */
    pageSize?: number;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 49765E79-0D5D-4451-B3AE-580A20831846
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of storage sets.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
